Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emfforms.internal.swt.control.text.autocomplete.renderer
Class AutocompleteTextControlSWTRenderer

    java.lang.Object
      org.eclipse.emf.ecp.view.model.common.AbstractRenderer<VELEMENT>
          org.eclipse.emfforms.spi.swt.core.AbstractSWTRenderer<VCONTROL>
              org.eclipse.emf.ecp.view.spi.core.swt.AbstractControlSWTRenderer<VControl>
                  org.eclipse.emf.ecp.view.spi.core.swt.SimpleControlSWTRenderer
                      org.eclipse.emf.ecp.view.spi.core.swt.SimpleControlJFaceViewerSWTRenderer
                          org.eclipse.emfforms.internal.swt.control.text.autocomplete.renderer.AutocompleteTextControlSWTRenderer

    public class AutocompleteTextControlSWTRenderer

extends SimpleControlJFaceViewerSWTRenderer

The text control renderer allows to enter text while given autocompletion proposals. Moreover it is possible to select a proposed value from a combo box.

Author:
  jfaltermeier

Constructor Summary
`AutocompleteTextControlSWTRenderer(VControl vElement, ViewModelContext viewContext, ReportService reportService, EMFFormsDatabinding emfFormsDatabinding, EMFFormsLabelProvider emfFormsLabelProvider, VTViewTemplateProvider vtViewTemplateProvider)` Constructs a new `AutocompleteViewModelService`.

Method Summary

Methods inherited from class org.eclipse.emf.ecp.view.spi.core.swt.SimpleControlSWTRenderer
`getGridDescription`

Methods inherited from class org.eclipse.emfforms.spi.swt.core.AbstractSWTRenderer
`finalizeRendering, init, render`

Methods inherited from class org.eclipse.emf.ecp.view.model.common.AbstractRenderer
`getVElement, getViewModelContext`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AutocompleteTextControlSWTRenderer

    @Inject
    public AutocompleteTextControlSWTRenderer(VControl vElement,
                                                     ViewModelContext viewContext,
                                                     ReportService reportService,
                                                     EMFFormsDatabinding emfFormsDatabinding,
                                                     EMFFormsLabelProvider emfFormsLabelProvider,
                                                     VTViewTemplateProvider vtViewTemplateProvider)

  Constructs a new `AutocompleteViewModelService`.

  Parameters:
    `vElement` - the view model element to be rendered
    `viewContext` - the view context
    `reportService` - The `ReportService`
    `emfFormsDatabinding` - The `EMFFormsDatabinding`
    `emfFormsLabelProvider` - The `EMFFormsLabelProvider`
    `vtViewTemplateProvider` - The `VTViewTemplateProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.